-- Test sex_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('sex_i18n');
select has_pk('sex_i18n');
select col_is_pk('sex_i18n', array['sex_id', 'lang_tag']);
select table_privs_are('sex_i18n', 'guest', array[]::text[]);
select table_privs_are('sex_i18n', 'employee', array['SELECT']);
select table_privs_are('sex_i18n', 'admin', array['SELECT']);
select table_privs_are('sex_i18n', 'authenticator', array[]::text[]);

select has_column('sex_i18n', 'sex_id');
select col_is_fk('sex_i18n', 'sex_id');
select fk_ok('sex_i18n', 'sex_id', 'sex', 'sex_id');
select col_type_is('sex_i18n', 'sex_id', 'character varying(1)');
select col_not_null('sex_i18n', 'sex_id');
select col_hasnt_default('sex_i18n', 'sex_id');

select has_column('sex_i18n', 'lang_tag');
select col_is_fk('sex_i18n', 'lang_tag');
select fk_ok('sex_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('sex_i18n', 'lang_tag', 'text');
select col_not_null('sex_i18n', 'lang_tag');
select col_hasnt_default('sex_i18n', 'lang_tag');

select has_column('sex_i18n', 'name');
select col_type_is('sex_i18n', 'name', 'text');
select col_not_null('sex_i18n', 'name');
select col_hasnt_default('sex_i18n', 'name');


select *
from finish();

rollback;

